Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161612 - CAN-2004-0175 malicious rsh server can cause rcp to write to arbitrary files
Summary: CAN-2004-0175 malicious rsh server can cause rcp to write to arbitrary files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20000901
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 20:00 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 1.4.1-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-20 18:36:49 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-24 20:00:49 UTC
+++ This bug was initially created as a clone of Bug #120147 +++

Back in 2000 it was reported that a malicious ssh server could cause
scp to write to arbitrary files outside of the current directory. 
See:    
http://cert.uni-stuttgart.de/archive/bugtraq/2000/09/msg00499.html

This is a valid behaviour of the rcp protocol.

The issue was rediscovered in Mar 2004 and discussed amongst OSS
vendors, with Markus Friedl from OpenBSD writing a proposed patch for
this issue but warned that it needed a lot of testing:
        
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/scp.c.diff?r1=1.113&r2=1.114

Comment 1 Josh Bressers 2005-06-24 20:01:37 UTC
This issue should also affect FC3

Comment 2 Christian Iseli 2007-01-20 00:21:38 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Karel Zak 2007-01-20 18:36:49 UTC
No ... see changelog:

* Thu Feb  3 2005 Karel Zak <kzak@redhat.com> 0.17-28
- malicious rcp server can cause rcp to write to arbitrary files (like scp
CAN-2004-0175) (#146464)


Comment 4 Nalin Dahyabhai 2007-01-22 19:42:55 UTC
Fixed for krb5-specific version of rsh in 1.4.1-4 and later.


Note You need to log in before you can comment on or make changes to this bug.